DOSAGE(1)

NAME
dosage - comic strip downloader and archiver

DESCRIPTION
usage: dosage [-h] [-v] [-n NUMSTRIPS] [-a] [-c] [-b PATH] [--baseurl PATH]

    [-l] [--singlelist] [--version] [--vote] [-m] [-t] [-o {html,json,rss}] [--no-downscale] [-p PARALLEL] [--adult] [--allow-multiple] [comic ...]

A comic downloader and archiver.

  positional arguments:

comic
    comic module name (including case insensitive substrings)

  options:

-h, --help
    show this help message and exit

-v, --verbose
    provides verbose output, use multiple times for more verbosity

-n NUMSTRIPS, --numstrips NUMSTRIPS
    traverse and retrieve the given number of comic strips; use --all to retrieve all comic strips

-a, --all
    traverse and retrieve all comic strips

-c, --continue
    traverse and retrieve comic strips until an existing one is found

-b PATH, --basepath PATH
    set the path to create invidivual comic directories in, default is Comics

--baseurl PATH
    the base URL of your comics directory (for RSS, HTML, etc.); this should correspond to --base-path

-l, --list
    list available comic modules

--singlelist
    list available comic modules in a single column list

--version
    display the version number

--vote
    vote for the selected comics

-m, --modulehelp
    display help for comic modules

-t, --timestamps
    print timestamps for all output at any info level

-o {html,json,rss}, --output {html,json,rss}
    sets output handlers for downloaded comics

--no-downscale
    prevent downscaling when using html or rss handler

-p PARALLEL, --parallel PARALLEL
    fetch comics in parallel. Specify the number of connections

--adult
    confirms that you are old enough to view adult content

--allow-multiple
    allows multiple instances to run at the same time. Use if you know what you are doing.

EXAMPLES List available comics:

    dosage -l

Get the latest comic of for example CalvinAndHobbes and save it in the "Comics" directory:

    dosage CalvinAndHobbes

If you already have downloaded several comics and want to get the latest strips of all of them:

    dosage --continue @

User plugin directory: /home/tchet/.local/share/dosage/plugins

Using Python 3.11.6 (CPython) on Linux-6.5.0-4-amd64-x86_64-with-glibc2.37 Copyright © 2004-2008 Tristan Seligmann and Jonathan Jacobs Copyright © 2012-2014 Bastian Kleineidam Copyright © 2015-2020 Tobias Gruetzmacher Copyright © 2019-2020 Daniel Ring

dosage comes with ABSOLUTELY NO WARRANTY! This is free software, and you are welcome to redistribute it under certain conditions. Look at the file `COPYING' within this distribution. For support see https://github.com/webcomics/dosage/issues

SEE ALSO
The full documentation for dosage is maintained as a Texinfo manual. If the info and dosage programs are properly installed at your site, the command

    info dosage

should give you access to the complete manual.